Subject: Re: [[email-masked]: Cygwin-1.5.5 sscanf on floats: 20 times slower than 2 years ago]
From: "J. Johnston" <[email-masked]>
To: Wayne Hayes <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Fri, 21 Nov 2003 14:53:05 -0500

Wayne Hayes wrote:
>>Since scanf and the floating point arithmetic is implemented in newlib,
>>I've redirected this message there.  Does anybody have an idea, what
>>could slow down float scanning in sscanf by a factor of 20?
> 
> 
> Thanks!  Just to be pedentic, I realized that it's worse than a factor of 20.
> My *entire simulation* slows down by a factor of 20; there's significant
> other computation in it.  So the scanf slowdown is probably closer to
> hundreds of times.  *Something* fishy must be going on.  :-)
> 

The reason for the slow down is long double support.  A new routine _strtold is 
used instead of _strtod_r.  I am working on a patch to use the old routine for 
non-long-doubles to avoid the slow down.

-- Jeff J.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/